Bug 467541 - Openal Soft alternative request
Openal Soft alternative request
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openal (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://kcat.strangesoft.net/openal.html
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 04:49 EDT by Juan Manuel Borges Caño
Modified: 2009-12-26 09:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-26 09:53:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My current openal-soft spec. (1.71 KB, text/plain)
2008-10-18 06:04 EDT, Juan Manuel Borges Caño
no flags Details

  None (edit)
Description Juan Manuel Borges Caño 2008-10-18 04:49:26 EDT
Description of problem:
OpenAL Soft seems more up to date, and more complete than OpenAL.I don't request to replace OpenAL but to allow the use of OpenAL Soft.

Version-Release number of selected component (if applicable):
openal-0.0.9-0.15.20060204cvs.fc9.i386
openal-soft-1.5.304

How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:
I made an openal-soft package. The problem is that if I make a package linked with openal-soft-devel and I distribute it the user will have a libopenal.so.1 error. Also fedora packages wants to use the openal package (so version), thats the cause of the need of an alternative configuration and a so name update.

Expected results:
Provide openal-soft as an option (/usr/sbin/alternatives?, /etc/ld.so.sonf ?)  so the user can have a command that switches between libraries.

Additional info:
The fact that openal-soft is .so.1 and openal is .so.0 could be a blocker for compiled packages. But this comment makes me think if in reality openal also updated so version:

Information for build openal-0.0.9-0.15.20060204cvs.fc9: http://koji.fedoraproject.org/koji/buildinfo?buildID=37017

* Mon Feb 27 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.0.9-0.5.20060204
- revert back to old cvs snapshot to avoid soname change for now...
- fix openal-config and pkg-config in a better fashion
Comment 1 Juan Manuel Borges Caño 2008-10-18 06:04:57 EDT
Created attachment 320740 [details]
My current openal-soft spec.

Hello, this spec shows my progress.

I can have both openal and openal-soft installed but openal-devel conflicts with openal-soft-devel so in this state the user haves to select what to install for development. The good is that packages compiled for openal can be installed and executed.

$ rpm -q openal openal-devel openal-soft openal-soft-devel
openal-0.0.9-0.15.20060204cvs.fc9.i386
package openal-devel is not installed
openal-soft-1.5.304-0.1.fc9.i386
openal-soft-devel-1.5.304-0.1.fc9.i386

$ rpm -ql openal
/etc/openalrc
/usr/lib/libopenal.so.0
/usr/lib/libopenal.so.0.0.0
/usr/share/doc/openal-0.0.9
/usr/share/doc/openal-0.0.9/AUTHORS
/usr/share/doc/openal-0.0.9/COPYING
/usr/share/doc/openal-0.0.9/ChangeLog
/usr/share/doc/openal-0.0.9/NOTES
/usr/share/doc/openal-0.0.9/README
/usr/share/doc/openal-0.0.9/TODO

$ rpm -ql openal-soft
/usr/bin/openal-info
/usr/lib/libopenal.so.1
/usr/lib/libopenal.so.1.5.304
/usr/share/doc/openal-soft-1.5.304
/usr/share/doc/openal-soft-1.5.304/COPYING

$ rpm -ql openal-soft-devel
/usr/include/AL
/usr/include/AL/al.h
/usr/include/AL/alc.h
/usr/include/AL/alext.h
/usr/lib/libopenal.so
/usr/lib/pkgconfig/openal.pc

$ ldd /usr/bin/blender.bin | grep -i openal
	libopenal.so.0 => /usr/lib/libopenal.so.0 (0x00111000)
Comment 2 Andreas Bierfert 2008-11-24 17:10:18 EST
Lets tackle this for F11
Comment 3 Bug Zapper 2008-11-25 22:58:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 genixpro 2008-12-03 20:59:25 EST
I agree with this change. I started development on a piece of software using OpenAL. Completely legitimate uses of the API caused crashes, and there would be a thread dead-lock inside of openal every time the program closes using the routines that the openal reference says should be used. Also, when it would work for the duration of the program, the audio would come out scratchy, sometimes it would come out at a higher tempo then it should, there is quite a variety to the buggy results that I would get. valgrind indicates that the openal library is making numerous memory errors. The OpenAL distributed with fedora is both out of date and very buggy.

When I replaced it with openal-soft that I compiled myself, all of these problems where alleviated, and the program worked perfectly instantly.
Comment 5 Bug Zapper 2009-06-09 05:48:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Thomas Kowaliczek 2009-06-24 21:41:06 EDT
Here is my openal-soft package but it´s in review request
https://bugzilla.redhat.com/show_bug.cgi?id=507110
Comment 7 Thomas Kowaliczek 2009-06-28 14:08:43 EDT
Whats about to replace the openal lib with the openal-soft lib?
Comment 8 Levente Farkas 2009-11-21 09:13:41 EST
what about the libopenal.so.0 lib which is not provided any libs in f12?
Comment 9 Thomas Kowaliczek 2009-11-21 17:55:09 EST
libopenal.so.0 is not needed in F12 because all packages are compiled with openal-soft.

When you have problems with an package from fedora please post the package name here.

Note You need to log in before you can comment on or make changes to this bug.